Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hubv3.builders
Interface RequestBuilder

All Known Implementing Classes:
  RequestBuilderImpl

    public interface RequestBuilder

Provides method(s) to create a hubv3 WS request. Default impl : `RequestBuilderImpl` Factory : `RequestBuilderFactory`

Method Summary
`DeclareTransactionRequest` | `buildDeclareTransactionRequest(KmehrHeaderDeclareTransaction kmehrHeader)` Creates a `DeclareTransactionRequest`
`GetAccessRightRequest` | `buildGetAccessRight(TransactionIdType transaction)` Creates a `GetAccessRightRequest`
`GetHCPartyConsentRequest` | `buildGetHcPartyConsent(HCPartyIdType hcPartyId)` Creates a `GetHCPartyConsentRequest`
`GetHCPartyRequest` | `buildGetHcPartyRequest(HCPartyIdType hcParty)` Creates a `GetHCPartyRequest`
`GetLatestUpdateRequest` | `buildGetLatestUpdateRequest(SelectGetLatestUpdateType latestUpdate)` Creates a `GetLatestUpdateRequest`
`GetPatientAuditTrailRequest` | `buildGetPatientAudiTrail(SelectGetPatientAuditTrailType patientAuditTrail)` Creates a `GetPatientAuditTrailRequest`
`GetPatientConsentRequest` | `buildGetPatientConsent(SelectGetPatientConsentType patientConsent)` Creates a `GetPatientConsentRequest`
`GetPatientRequest` | `buildGetPatientRequest(PatientIdType patientId)` Creates a `GetPatientRequest`
`GetTherapeuticLinkRequest` | `buildGetTherapeuticLinkRequest(SelectGetHCPartyPatientConsentType patientConsent)` Creates a `GetTherapeuticLinkRequest`
`GetTransactionListRequest` | `buildGetTransactionListRequest(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction)` Creates a `GetTransactionListRequest`
`GetTransactionRequest` | `buildGetTransactionRequest(PatientIdType patient, TransactionBaseType transaction)` Creates a `GetTransactionRequest`
`GetTransactionSetRequest` | `buildGetTransactionSetRequest(PatientIdType patient, TransactionBaseType transaction)` Creates a `GetTransactionSetRequest`
`PutAccessRightRequest` | `buildPutAccessRightRequest(AccessRightType accessRight)` Creates a `PutAccessRightRequest`
`PutHCPartyConsentRequest` | `buildPutHcPartyConsentRequest(ConsentHCPartyType consent)` Creates a `PutHCPartyConsentRequest`
`PutHCPartyRequest` | `buildPutHcPartyRequest(HCPartyAdaptedType hcParty)` Creates a `PutHCPartyRequest`
`PutPatientConsentRequest` | `buildPutPatientConsentRequest(ConsentType patientConsent)` Creates a `PutPatientConsentRequest`
`PutPatientRequest` | `buildPutPatientRequest(PersonType patient)` Creates a `PutPatientRequest`
`PutTherapeuticLinkRequest` | `buildPutTherapeuticLinkRequest(TherapeuticLinkType therapeuticLink)` Creates a `PutTherapeuticLinkRequest`
`PutTransactionRequest` | `buildPutTransactionRequest(Kmehrmessage kmehrHeader)` Creates a `PutTransactionRequest`
`PutTransactionSetRequest` | `buildPutTransactionSetRequest(Kmehrmessage kmehrHeader)` Creates a `PutTransactionSetRequest`
`RequestPublicationRequest` | `buildRequestPublicationRequest(PatientIdType patient, TransactionWithPeriodType transaction, String comment)` Creates a `RequestPublicationRequest`
`RevokeAccessRightRequest` | `buildRevokeAccessRight(SelectRevokeAccessRightType accessRight)` Creates a `RevokeAccessRightRequest`
`RevokeHCPartyConsentRequest` | `buildRevokeHcPartyConsent(ConsentHCPartyType consent)` Creates a `RevokeHCPartyConsentRequest`
`RevokePatientConsentRequest` | `buildRevokePatientConsentRequest(ConsentType patientConsent)` Creates a `RevokePatientConsentRequest`
`RevokeTherapeuticLinkRequest` | `buildRevokeTherapeuticLinkRequest(TherapeuticLinkType therapeuticLink)` Creates a `RevokeTherapeuticLinkRequest`
`RevokeTransactionRequest` | `buildRevokeTransactionRequest(PatientIdType patient, TransactionBaseType transaction)` Creates a `RevokeTransactionRequest`

Method Detail

### buildGetTransactionListRequest

    GetTransactionListRequest buildGetTransactionListRequest(PatientIdType patient,
                                                             LocalSearchType searchType,
                                                             TransactionWithPeriodType transaction)

  Creates a `GetTransactionListRequest`

  Parameters:
    `patient` -
    `searchType` -
    `transaction` -
  Returns:

### buildDeclareTransactionRequest

    DeclareTransactionRequest buildDeclareTransactionRequest(KmehrHeaderDeclareTransaction kmehrHeader)

  Creates a `DeclareTransactionRequest`

  Parameters:
    `kmehrHeader` -
  Returns:

### buildPutTransactionRequest

    PutTransactionRequest buildPutTransactionRequest(Kmehrmessage kmehrHeader)

  Creates a `PutTransactionRequest`

  Parameters:
    `kmehrHeader` -
  Returns:

### buildPutTransactionSetRequest

    PutTransactionSetRequest buildPutTransactionSetRequest(Kmehrmessage kmehrHeader)

  Creates a `PutTransactionSetRequest`

  Parameters:
    `kmehrHeader` -
  Returns:

### buildRevokeTransactionRequest

    RevokeTransactionRequest buildRevokeTransactionRequest(PatientIdType patient,
                                                           TransactionBaseType transaction)

  Creates a `RevokeTransactionRequest`

  Parameters:
    `patient` -
    `transaction` -
  Returns:

### buildGetTransactionRequest

    GetTransactionRequest buildGetTransactionRequest(PatientIdType patient,
                                                     TransactionBaseType transaction)

  Creates a `GetTransactionRequest`

  Parameters:
    `patient` -
    `transaction` -
  Returns:

### buildGetTransactionSetRequest

    GetTransactionSetRequest buildGetTransactionSetRequest(PatientIdType patient,
                                                           TransactionBaseType transaction)

  Creates a `GetTransactionSetRequest`

  Parameters:
    `patient` -
    `transaction` -
  Returns:

### buildRequestPublicationRequest

    RequestPublicationRequest buildRequestPublicationRequest(PatientIdType patient,
                                                             TransactionWithPeriodType transaction,
                                                             String comment)

  Creates a `RequestPublicationRequest`

  Parameters:
    `patient` -
    `transaction` -
    `comment` -
  Returns:

### buildGetHcPartyRequest

    GetHCPartyRequest buildGetHcPartyRequest(HCPartyIdType hcParty)

  Creates a `GetHCPartyRequest`

  Parameters:
    `hcParty` -
  Returns:

### buildPutHcPartyRequest

    PutHCPartyRequest buildPutHcPartyRequest(HCPartyAdaptedType hcParty)

  Creates a `PutHCPartyRequest`

  Parameters:
    `hcParty` -
  Returns:

### buildPutHcPartyConsentRequest

    PutHCPartyConsentRequest buildPutHcPartyConsentRequest(ConsentHCPartyType consent)

  Creates a `PutHCPartyConsentRequest`

  Parameters:
    `consent` -
  Returns:

### buildGetHcPartyConsent

    GetHCPartyConsentRequest buildGetHcPartyConsent(HCPartyIdType hcPartyId)

  Creates a `GetHCPartyConsentRequest`

  Parameters:
    `hcPartyId` -
  Returns:

### buildRevokeHcPartyConsent

    RevokeHCPartyConsentRequest buildRevokeHcPartyConsent(ConsentHCPartyType consent)

  Creates a `RevokeHCPartyConsentRequest`

  Parameters:
    `consent` -
  Returns:

### buildPutPatientRequest

    PutPatientRequest buildPutPatientRequest(PersonType patient)

  Creates a `PutPatientRequest`

  Parameters:
    `patient` -
  Returns:

### buildGetPatientRequest

    GetPatientRequest buildGetPatientRequest(PatientIdType patientId)

  Creates a `GetPatientRequest`

  Parameters:
    `patientId` -
  Returns:

### buildPutPatientConsentRequest

    PutPatientConsentRequest buildPutPatientConsentRequest(ConsentType patientConsent)

  Creates a `PutPatientConsentRequest`

  Parameters:
    `patientConsent` -
  Returns:

### buildGetPatientConsent

    GetPatientConsentRequest buildGetPatientConsent(SelectGetPatientConsentType patientConsent)

  Creates a `GetPatientConsentRequest`

  Parameters:
    `patientConsent` -
  Returns:

### buildRevokePatientConsentRequest

    RevokePatientConsentRequest buildRevokePatientConsentRequest(ConsentType patientConsent)

  Creates a `RevokePatientConsentRequest`

  Parameters:
    `patientConsent` -
  Returns:

### buildPutTherapeuticLinkRequest

    PutTherapeuticLinkRequest buildPutTherapeuticLinkRequest(TherapeuticLinkType therapeuticLink)

  Creates a `PutTherapeuticLinkRequest`

  Parameters:
    `therapeuticLink` -
  Returns:

### buildGetTherapeuticLinkRequest

    GetTherapeuticLinkRequest buildGetTherapeuticLinkRequest(SelectGetHCPartyPatientConsentType patientConsent)

  Creates a `GetTherapeuticLinkRequest`

  Parameters:
    `patientConsent` -
  Returns:

### buildRevokeTherapeuticLinkRequest

    RevokeTherapeuticLinkRequest buildRevokeTherapeuticLinkRequest(TherapeuticLinkType therapeuticLink)

  Creates a `RevokeTherapeuticLinkRequest`

  Parameters:
    `therapeuticLink` -
  Returns:

### buildPutAccessRightRequest

    PutAccessRightRequest buildPutAccessRightRequest(AccessRightType accessRight)

  Creates a `PutAccessRightRequest`

  Parameters:
    `accessRight` -
  Returns:

### buildGetAccessRight

    GetAccessRightRequest buildGetAccessRight(TransactionIdType transaction)

  Creates a `GetAccessRightRequest`

  Parameters:
    `transaction` -
  Returns:

### buildRevokeAccessRight

    RevokeAccessRightRequest buildRevokeAccessRight(SelectRevokeAccessRightType accessRight)

  Creates a `RevokeAccessRightRequest`

  Parameters:
    `accessRight` -
  Returns:

### buildGetPatientAudiTrail

    GetPatientAuditTrailRequest buildGetPatientAudiTrail(SelectGetPatientAuditTrailType patientAuditTrail)

  Creates a `GetPatientAuditTrailRequest`

  Parameters:
    `patientAuditTrail` -
  Returns:

### buildGetLatestUpdateRequest

    GetLatestUpdateRequest buildGetLatestUpdateRequest(SelectGetLatestUpdateType latestUpdate)

  Creates a `GetLatestUpdateRequest`

  Parameters:
    `latestUpdate` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.